# Enum Class NioImageBuffer.ImageType

java.lang.Object
java.lang.Enum<NioImageBuffer.ImageType>
javax.media.j3d.NioImageBuffer.ImageType

All Implemented Interfaces:
  `Serializable, Comparable<NioImageBuffer.ImageType>, Constable`

Enclosing class:
  `NioImageBuffer`

public static enum NioImageBuffer.ImageType extends Enum<NioImageBuffer.ImageType>
Used to specify the type of the image.

Since:
  Java 3D 1.5

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`TYPE_3BYTE_BGR`
Represents an image with 8-bit RGB color components, corresponding to a Windows-style BGR color model, with the colors Blue, Green, and Red stored in 3 consecutive bytes for each pixel.
`TYPE_3BYTE_RGB`
Represents an image with 8-bit RGB color components with Red, Green, and Blue, stored in 3 consecutive bytes for each pixel.
`TYPE_4BYTE_ABGR`
Represents an image with 8-bit RGBA color components with Alpha, Blue, Green, and Red stored in 4 consecutive bytes for each pixel.
`TYPE_4BYTE_RGBA`
Represents an image with 8-bit RGBA color components with Red, Green, Blue, and Alpha stored in 4 consecutive bytes for each pixel.
`TYPE_BYTE_GRAY`
Represents a unsigned byte grayscale image, non-indexed.
`TYPE_INT_ARGB`
Represents an image with 8-bit RGBA color components packed into integer pixels.
`TYPE_INT_BGR`
Represents an image with 8-bit RGB color components, corresponding to a Windows- or Solaris- style BGR color model, with the colors Blue, Green, and Red packed into integer pixels.
`TYPE_INT_RGB`
Represents an image with 8-bit RGB color components packed into integer pixels.

## Method Summary

Modifier and Type
Method
Description
`static NioImageBuffer.ImageType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NioImageBuffer.ImageType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TYPE_3BYTE_BGR

public static final NioImageBuffer.ImageType TYPE_3BYTE_BGR
Represents an image with 8-bit RGB color components, corresponding to a Windows-style BGR color model, with the colors Blue, Green, and Red stored in 3 consecutive bytes for each pixel. The data buffer must be a ByteBuffer when using this imageType.

### TYPE_3BYTE_RGB

public static final NioImageBuffer.ImageType TYPE_3BYTE_RGB
Represents an image with 8-bit RGB color components with Red, Green, and Blue, stored in 3 consecutive bytes for each pixel. The data buffer must be a ByteBuffer when using this imageType.

### TYPE_4BYTE_ABGR

public static final NioImageBuffer.ImageType TYPE_4BYTE_ABGR
Represents an image with 8-bit RGBA color components with Alpha, Blue, Green, and Red stored in 4 consecutive bytes for each pixel. The data buffer must be a ByteBuffer when using this imageType.

### TYPE_4BYTE_RGBA

public static final NioImageBuffer.ImageType TYPE_4BYTE_RGBA
Represents an image with 8-bit RGBA color components with Red, Green, Blue, and Alpha stored in 4 consecutive bytes for each pixel. The data buffer must be a ByteBuffer when using this imageType.

### TYPE_BYTE_GRAY

public static final NioImageBuffer.ImageType TYPE_BYTE_GRAY
Represents a unsigned byte grayscale image, non-indexed. The data buffer must be a ByteBuffer when using this imageType.

### TYPE_INT_ARGB

public static final NioImageBuffer.ImageType TYPE_INT_ARGB
Represents an image with 8-bit RGBA color components packed into integer pixels. The data buffer must be an IntBuffer when using this imageType.

### TYPE_INT_BGR

public static final NioImageBuffer.ImageType TYPE_INT_BGR
Represents an image with 8-bit RGB color components, corresponding to a Windows- or Solaris- style BGR color model, with the colors Blue, Green, and Red packed into integer pixels. The data buffer must be an IntBuffer when using this imageType.

### TYPE_INT_RGB

public static final NioImageBuffer.ImageType TYPE_INT_RGB
Represents an image with 8-bit RGB color components packed into integer pixels. The data buffer must be an IntBuffer when using this imageType.

## Method Details

### values

public static NioImageBuffer.ImageType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static NioImageBuffer.ImageType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null